aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php7-cassandra/APKBUILD
diff options
context:
space:
mode:
authorGennady Feldman <gena01@gmail.com>2016-09-22 08:31:39 -0400
committerJakub Jirutka <jakub@jirutka.cz>2016-09-29 15:57:38 +0200
commit09332d6ed701fc8ba9ac4bcf456efafa074c9e51 (patch)
tree32d3684162c753cf5b842e054cf5d9c0137b4daf /testing/php7-cassandra/APKBUILD
parent5bef15666ec397f281fa09fa57b059549902f144 (diff)
downloadaports-09332d6ed701fc8ba9ac4bcf456efafa074c9e51.tar.gz
aports-09332d6ed701fc8ba9ac4bcf456efafa074c9e51.tar.bz2
aports-09332d6ed701fc8ba9ac4bcf456efafa074c9e51.tar.xz
testing/php7-cassandra: new aport
http://pecl.php.net/package/ PHP7 extension: cassandra
Diffstat (limited to 'testing/php7-cassandra/APKBUILD')
-rw-r--r--testing/php7-cassandra/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/php7-cassandra/APKBUILD b/testing/php7-cassandra/APKBUILD
new file mode 100644
index 0000000000..8447f70b9f
--- /dev/null
+++ b/testing/php7-cassandra/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Gennady Feldman <gena01@gmail.com>
+# Maintainer: Gennady Feldman <gena01@gmail.com>
+pkgname=php7-cassandra
+_pkgreal=cassandra
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="PHP7 extension: cassandra"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="x86_64 x86"
+license="PHP"
+depends=""
+makedepends="php7-dev autoconf cassandra-cpp-driver-dev>=2.4.2 gmp-dev libuv-dev"
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ phpize7 || return 1
+ ./configure --prefix=/usr --with-php-config=/usr/bin/php-config7 || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+
+ make INSTALL_ROOT="$pkgdir"/ install || return 1
+ install -d "$pkgdir"/etc/php7/conf.d || return 1
+ echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/$_pkgreal.ini
+}
+
+md5sums="2226a4d66f8e0a4de85656f10472afc5 cassandra-1.2.2.tgz"
+sha256sums="31db2a9ee2275e69ba0f7b0eec098f7a80cc6afa7c6a4eaa2d9d841ad040fb22 cassandra-1.2.2.tgz"
+sha512sums="cda256c8159be0b8f47ab46e23b9c24e3bbd9878679660fc956682d62221a289e262a394bfbff257a314d765ff22abd735a9624b2f8045219b8452b9bc8cb2b3 cassandra-1.2.2.tgz"